# Interface ICommandHelpService

public interface ICommandHelpService
Provides services related to the command context help.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpContextId(String commandId, IEclipseContext context)`
Calculates the active help context for the command and returns the ID of the help context.
`void`
`setHelpContextId(IHandler handler, String contextId)`
Assigns the help context ID to the command handler.

## Method Details

### getHelpContextId

String getHelpContextId(String commandId, IEclipseContext context)
Calculates the active help context for the command and returns the ID of the help context.

Parameters:
  `commandId` - the ID of the command for which the help context ID is calculated
  `context` - the Eclipse context in which handlers of the command will be sought
Returns:
  the ID of help context which is active for the command

### setHelpContextId

void setHelpContextId(IHandler handler, String contextId)
Assigns the help context ID to the command handler.

Parameters:
  `handler` - the command handler to which the help context ID will be assigned
  `contextId` - the help context ID to assign